<ion-header no-padding >
  <ion-toolbar>
    <ion-buttons size="small" slot="end">
      <ion-back-button icon="arrow-round-back" color="primary"> </ion-back-button>
    </ion-buttons>
    <ion-title style="font-size: 18px" color="primary">Notification</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content fullscreen>
    <div padding-vertical>
      <ion-virtual-scroll [items]="notifications | async" approxItemHeight="80px">
        <ion-item lines="none"  *virtualItem="let notif" >
            <ion-thumbnail slot="start">
              <ion-img [src]="notif.sender.image != null ? decode(notif.sender.image) : '../../../assets/images/default.png'" ></ion-img>
            </ion-thumbnail>
            <ion-label>
              <p><b>{{notif.sender.fname}}</b></p>
              <p>{{notif.message}}</p>
              <ion-note>
                  {{notif.sender.created_at | dateAgo }}
              </ion-note>
          </ion-label>
          <!-- <ion-button color="primary" size="small" fill="outline">Follow Back</ion-button> -->
        </ion-item>
      </ion-virtual-scroll> 
    </div>
</ion-content>
